package com.nisum.omd.domain;

import java.util.Map;

public class Order {
	
	
	private String orderNum;
	private String orderDate;
	private String currency;
	private String shipMethod;
	private String customerId;
	private String customerType;
	private Promotions promotions;
	private String gift;
	private LineItem lineItem;
	private Map<String,Object> shippingInfo;
	private Map<String,Object> shipTo;
	private Map<String,Object> billingTo;
	private Map<String,Object> orderCharges;
	private Map<String,Object> OrderTaxes;
	private PaymentMethod paymentMethod;
	
	
	public String getOrderNum() {
		return orderNum;
	}
	public void setOrderNum(String orderNum) {
		this.orderNum =  orderNum; //rdg.generateOrderNumber();
	}
	public String getOrderDate() {
		return orderDate;
	}
	public void setOrderDate(String orderDate) {
		this.orderDate = orderDate;
	}
	public String getCurrency() {
		return currency;
	}
	public void setCurrency(String currency) {
		this.currency = currency;
	}
	public String getShipMethod() {
		return shipMethod;
	}
	public void setShipMethod(String shipMethod) {
		this.shipMethod = shipMethod;
	}
	public String getCustomerId() {
		return customerId;
	}
	public void setCustomerId(String customerId) {
		this.customerId = customerId;//rdg.generateCustomerId();
	}
	public String getCustomerType() {
		return customerType;
	}
	public void setCustomerType(String customerType) {
		this.customerType = customerType;
	}
	public Promotions getPromotions() {
		return promotions;
	}
	public void setPromotions(Promotions promotions) {
		this.promotions = promotions;
	}
	public String getGift() {
		return gift;
	}
	public void setGift(String gift) {
		this.gift = gift;
	}
	public LineItem getLineItem() {
		return lineItem;
	}
	public void setLineItem(LineItem lineItem) {
		//this.lineItem = rdg.genetateLineItem();
		this.lineItem = lineItem;
	}
	public Map<String, Object> getShippingInfo() {
		return shippingInfo;
	}
	public void setShippingInfo(Map<String, Object> shippingInfo) {
		this.shippingInfo = shippingInfo;
	}
	public Map<String, Object> getShipTo() {
		return shipTo;
	}
	public void setShipTo(Map<String, Object> shipTo) {
		this.shipTo = shipTo;
	}
	public Map<String, Object> getBillingTo() {
		return billingTo;
	}
	public void setBillingTo(Map<String, Object> billingTo) {
		this.billingTo = billingTo;
	}
	public Map<String, Object> getOrderCharges() {
		return orderCharges;
	}
	public void setOrderCharges(Map<String, Object> orderCharges) {
		this.orderCharges = orderCharges;
	}
	public Map<String, Object> getOrderTaxes() {
		return OrderTaxes;
	}
	public void setOrderTaxes(Map<String, Object> orderTaxes) {
		OrderTaxes = orderTaxes;
	}
	public PaymentMethod getPaymentMethod() {
		return paymentMethod;
	}
	public void setPaymentMethod(PaymentMethod paymentMethod) {
		this.paymentMethod = paymentMethod;
	}
	@Override
	public String toString() {
		return "Order [orderNum=" + orderNum + ", orderDate=" + orderDate + ", currency=" + currency + ", shipMethod="
				+ shipMethod + ", customerId=" + customerId + ", customerType=" + customerType + ", promotions="
				+ promotions + ", gift=" + gift + ", lineItem=" + lineItem + ", shippingInfo=" + shippingInfo
				+ ", shipTo=" + shipTo + ", billingTo=" + billingTo + ", orderCharges=" + orderCharges + ", OrderTaxes="
				+ OrderTaxes + ", paymentMethod=" + paymentMethod + "]";
	}
	
	

}
